<template>
  <div class="home-page">
    <AsHeader />
    <el-tabs v-model="activeName" class="card-tabs" @tab-click="handleClick">
      <el-tab-pane label="My debit cards" name="my-card">
        <AsCarousel />
      </el-tab-pane>
      <el-tab-pane label="All company cards" name="all-cards">
        All company cards
      </el-tab-pane>
    </el-tabs>
    <!-- <AsControlCard /> -->
  </div>
</template>

<script>
import AsHeader from '@/components/AsHeader';
import AsCarousel from '@/components/AsCarousel';
import AsControlCard from '@/components/AsControlCard';

export default {
  name: 'Home',
  components: { AsHeader, AsCarousel, AsControlCard },
  data() {
    return {
      activeName: 'my-card',
    };
  },
  methods: {
    handleClick(tab) {
      console.log(tab.props.name);
    },
  },
};
</script>

<style lang="scss">
.card-tabs {
  padding-top: 25px;
  .el-tabs {
    &__item {
      color: $-white;
      opacity: 0.5;
      padding-right: 15px;
      padding-left: 15px;
      &.is-active {
        font-weight: bold;
        opacity: 1;
      }
    }
    &__content {
      padding: 0 0 15px;
      color: $-white;
    }
    &__nav-wrap:after {
      display: none;
    }
    &__active-bar {
      background-color: $-light-blue;
    }
  }
}
</style>
